
QGIS Application - Bug report #13420

Strange behaviour of newly 'saved as' project

2015-09-24 09:16 PM - Laurence Bechet 

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Project Loading/Saving

Affected QGIS version:2.10.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21469

Description

You have an original project myFile.qgs that you save as myNewFile.qgs

You can see that you are working now on myNewFile.qgs

You make changes in this new project. When you save it, you get the confusing message that the "Project file was changed ...." (see

enclosed picture). The file referred to is the original qgs one, not the new one (you can compare dates and times). If you say ok and carry

on saving the newly file is changed, not the old one (expected behaviour).

Associated revisions

Revision a77e3bf7 - 2015-09-27 03:32 AM - Jürgen Fischer

update project last modification date after save as (fixes #13420)

Revision d8d7a3c1 - 2015-09-27 03:35 AM - Jürgen Fischer

update project last modification date after save as (fixes #13420)

(cherry picked from commit a77e3bf7d56af056bff722c07e96c6b795310fa5)

History

#1 - 2015-09-25 02:22 AM - Nathan Woodrow

- Priority changed from Low to Severe/Regression

I'm changing this to blocker because it is super confusing and just not very nice.

#2 - 2015-09-25 02:22 AM - Nathan Woodrow

- Target version set to Version 2.12

#3 - 2015-09-25 07:38 AM - Saber Razmjooei

- Category set to Project Loading/Saving

The desired behaviour should be, to save the changes to the newly saved project and igonre the orginal one.
#4 - 2015-09-26 06:33 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"a77e3bf7d56af056bff722c07e96c6b795310fa5".
